Package com.sas.lsaf.core

## Interface Identifiable

- All Superinterfaces:
    `java.io.Serializable`
  All Known Subinterfaces:
    `AutoFlowLaunchable`, `Principal`, `Privilege`
  All Known Implementing Classes:
    `AbstractIdentifiable`, `AbstractRevisionable`, `AclMembers`, `AclOwner`, `AnalysisDataset`, `AnalysisResult`, `AttributeDefinition`, `AttributeValue`, `AuditEntry`, `CompletedElement`, `CompletedEvent`, `CompletedEventGateway`, `CompletedJobTask`, `CompletedNotificationTask`, `CompletedSignalEvent`, `CompletedTask`, `CompletedUserTask`, `CompletedUserTaskDetails`, `DictionaryDescriptor`, `Element`, `ExternalDictionary`, `GlobalPrivilege`, `Group`, `GroupDescriptor`, `JobTask`, `Membership`, `MembershipDescriptor`, `ModelDescriptor`, `NotificationTask`, `ObjectIdentity`, `ProcessDefinitionInfo`, `ProcessFlow`, `ProcessFlowDescriptor`, `RepositoryContainer`, `RepositoryContext`, `RepositoryExecutableFile`, `RepositoryFile`, `RepositoryFolder`, `RepositoryItem`, `RepositorySharedFolder`, `Role`, `RoleDescriptor`, `Schedule`, `ScheduleDescriptor`, `ScopedPrivilege`, `SectionDescriptor`, `Session`, `SharedWorkspaceEntry`, `SignalEvent`, `StandardDescriptor`, `Study`, `Task`, `TimerEvent`, `Tlf`, `TlfDescriptor`, `TlfTemplate`, `Type`, `TypeDescriptor`, `User`, `UserDescriptor`, `UserTask`, `UserTaskDetails`, `UserTaskUpdateInfo`

      public interface Identifiable
      extends java.io.Serializable

  An interface indicating objects that have the identifier and type properties. The combination of these two values creates a unique identifier for all identifiable objects in the system.
  Since:
    1.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getId()` | Returns the unique identifier for this object instance.
    `java.lang.String` | `getTypeId()` | Returns the identifying type for this object.

- - ### Method Detail

    - #### getId

          java.lang.String getId()

      Returns the unique identifier for this object instance. In most cases, this value will be `UUID.randomUUID()` but it is up to specific implementations to decide.
      Returns:
        the unique identifier for this object instance.

    - #### getTypeId

          java.lang.String getTypeId()

      Returns the identifying type for this object. This type identifier may be defined in the `TypeService` but that is not a requirement. The type should be sufficiently unique within the system that implementers can identify their own object instances and provide lookup routines when necessary.
      Returns:
        the identifying type for this object.